glab(1)

NAME
glab-cluster-agent-get-token - Create a personal access token for a GitLab Agent for Kubernetes.

SYNOPSIS
glab cluster agent get-token [flags]

DESCRIPTION
The token has the k8s_proxy scope and is valid until the end of the current day.

You might receive an email from your GitLab instance that a new personal access token has been created.

OPTIONS
-a, --agent=0
    The numerical Agent ID to connect to.

-c, --cache-mode="force-keyring"
    Mode to use for caching the token. Allowed values: keyring-filesystem-fallback, force-keyring, force-filesystem, no.

--check-revoked[=false]
    Check if a cached token is revoked. This requires an API call to GitLab which adds latency every time a cached token is accessed.

--jq=""
    Filter JSON output with a jq expression.

--token-expiry-duration=24h0m0s
    Duration for how long the generated tokens should be valid for. Minimum is 1 day and the effective expiry is always at the end of the day, the time is ignored.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Get a token for agent 123
    glab cluster agent get-token --agent 123

SEE ALSO
glab-cluster-agent(1)